import { FactoryProvider, ValueProvider } from '@nestjs/common';
import { join } from 'path';
import { DataSource, Repository } from 'typeorm';

import { Document } from './document.entity';

export const documentProviders = [
  {
    provide: 'DOCUMENT_CACHE',
    useValue: join(process.cwd(), '.cache'),
  } as ValueProvider<string>,
  {
    provide: 'DOCUMENT_REPOSITORY',
    useFactory: (dataSource: DataSource) => dataSource.getRepository(Document),
    inject: ['DATA_SOURCE'],
  } as FactoryProvider<Repository<Document>>,
];
